Bug 12409 - Daemon accounts assigned shell by default
Daemon accounts assigned shell by default
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: setup (Show other bugs)
6.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-06-18 00:42 EDT by Blake R. Swopes
Modified: 2014-03-16 22:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-09-12 15:26:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Blake R. Swopes 2000-06-18 00:42:34 EDT
The default installation of Red Hat 6.1 (and possibly others - this may be 
a multiple-vendor issue) does not assign a shell for many of the non-user 
(daemon) accounts (e.g. nobody, bin). If no shell is specified, the shell 
defaults to /bin/sh.

This setting is correct for the xfs account, which assigns /bin/false as 
the shell.

The solution would be to assign these accounts a shell which will not 
permit login, such as /bin/false.

Additionally, /etc/shells does not contain a shell such as /bin/false 
which would deny login, which produces an error when assigning such a 
shell to an account via chsh. This entry could be included to /etc/shells 
in the default installation.
Comment 1 Nalin Dahyabhai 2000-06-18 01:08:45 EDT
Changing to component "setup", which includes the default passwd file.
Comment 2 Bill Nottingham 2001-01-29 13:18:39 EST
Changing the base of the default password file is not really an option
at this point.

Note You need to log in before you can comment on or make changes to this bug.